Skip to main content
`Ctrl`+`K`

# TSComputeSolutionFunction

Evaluates the solution function.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeSolutionFunction(TS ts, PetscReal t, Vec U)

Collective

## Input Parameters

- ts - the `TS` context

- t - current time

## Output Parameter

- U - the solution

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetSolutionFunction()`, `TSSetRHSFunction()`, `TSComputeIFunction()`

## Level

developer

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages